=== debian/changelog ===
scummvm-tools (1.7.0-1) unstable; urgency=low

  * Initial release. Closes: #653617.

 -- Stephen Kitt <skitt@debian.org>  Sun, 07 Feb 2016 23:20:38 +0100
