=== debian/control ===
Source: scummvm-tools
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Stephen Kitt <skitt@debian.org>
Build-Depends:
 autotools-dev,
 debhelper (>=9),
 libboost-program-options-dev,
 libflac-dev,
 libfreetype6-dev,
 libmad0-dev,
 libpng-dev,
 libvorbis-dev,
 libwxgtk3.0-dev,
 python,
 zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://wiki.scummvm.org/index.php/User_Manual/Appendix:_Tools
Vcs-Git: https://anonscm.debian.org/git/pkg-games/scummvm-tools.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/scummvm-tools.git

Package: scummvm-tools
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: collection of tools for ScummVM
 This package contains various tools which may be useful in
 conjunction with ScummVM.
 .
 The tools include:
  * compression tools to re-compress ScummVM games' assets;
  * extraction tools, either to extract resources from game assets, or
    to convert assets from one format to another (e.g. PC Engine or
    Macintosh releases);
  * game script analysis tools.
 .
 A GUI is provided alongside the command-line tools.
