=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autotools_dev

override_dh_auto_clean:
	[ ! -f config.mk ] || dh_auto_clean

override_dh_auto_configure:
	./configure \
		--prefix=/usr \
		--bindir=/usr/games \
		--datadir=/usr/share/games \
		--mandir=/usr/share/man \
		--libdir=/usr/lib/x86_64-linux-gnu \
		--enable-verbose-build

override_dh_installchangelogs:
	dh_installchangelogs NEWS
