=== debian/watch ===
version=4
opts="dirversionmangle=s/rc/~rc/" \
  http://www.scummvm.org/frs/scummvm-tools/([\d+\.]+)/ \
  @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
