=== debian/changelog ===
scummvm-tools (1.8.0-2build2) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:45:32 +0000

scummvm-tools (1.8.0-2build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:32:03 +0000

scummvm-tools (1.8.0-2) unstable; urgency=medium

  [ Phil Morrell ]
  * Fix debian/watch to exclude -win32.zip but still allow release
    candidates.

  [ Stephen Kitt ]
  * Allow building on kFreeBSD and Hurd. Closes: #814753.
  * Clean up debian/control with cme.
  * Standards-Version 3.9.7, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 28 Mar 2016 22:51:03 +0200

scummvm-tools (1.8.0-1) unstable; urgency=medium

  * New upstream release, including spelling-fixes.patch.

 -- Stephen Kitt <skitt@debian.org>  Fri, 18 Mar 2016 13:40:38 +0100
