## scummvm-tools 1.9.0

=== debian/changelog ===
scummvm-tools (1.9.0-1) unstable; urgency=medium

  * New upstream release, including compilation-fixes.patch.
  * Add spelling-fixes.patch to fix a lintian-detected spelling mistake.
  * Standards-Version 3.9.8, no change required.
  * Switch to debhelper compatibility level 10.

 -- Stephen Kitt <skitt@debian.org>  Tue, 15 Nov 2016 13:26:03 +0100
