=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: scummvm-tools
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: games
 Priority: optional
-Build-Depends: autotools-dev,
-               debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                libboost-program-options-dev,
                libflac-dev,
                libfreetype6-dev,
@@ -15,7 +13,7 @@
                libwxgtk3.0-dev,
                python,
                zlib1g-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/scummvm-tools.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/scummvm-tools.git
 Homepage: http://wiki.scummvm.org/index.php/User_Manual/Appendix:_Tools
