=== debian/changelog ===
scummvm-tools (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper compatibility level 11.
  * Use a secure upstream URL in debian/watch.
  * Add manpages for most of the smaller tools.
  * Standards-Version 4.1.3, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 09 Jan 2018 23:15:00 +0100

scummvm-tools (1.9.0-2) unstable; urgency=medium

  * Avoid disabling -Wformat, which causes a build failure with GCC 7.
    Closes: #871066.
  * Update debian/copyright.
  * Standards-Version 4.0.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 09 Aug 2017 22:36:33 +0200
