=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: games
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                libboost-program-options-dev,
                libflac-dev,
                libfreetype6-dev,
@@ -13,7 +13,7 @@
                libwxgtk3.0-dev,
                python,
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/scummvm-tools.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/scummvm-tools.git
 Homepage: http://wiki.scummvm.org/index.php/User_Manual/Appendix:_Tools
