## scummvm-tools 2.1.0

=== Makefile ===
--- 
+++ 
@@ -86,15 +86,13 @@
 	$(QUIET_WINDRES)$(WINDRES) -DHAVE_CONFIG_H $(WINDRESFLAGS) $(DEFINES) -I. -I$(srcdir) $(srcdir)/dists/scummvmtools.rc scummvmtoolswinres.o
 
 # Special target to create a win32 tools snapshot binary
-WIN32PATH=c:/scummvm
+WIN32PATH ?= build
 win32dist:   all
-	mkdir -p $(WIN32PATH)
 	mkdir -p $(WIN32PATH)/graphics
-	mkdir -p $(WIN32PATH)/tools
 	mkdir -p $(WIN32PATH)/tools/media
-	cp gui/media/detaillogo.jpg $(WIN32PATH)/tools/media/
-	cp gui/media/logo.jpg $(WIN32PATH)/tools/media/
-	cp gui/media/tile.gif $(WIN32PATH)/tools/media/
+	cp $(srcdir)/gui/media/detaillogo.jpg $(WIN32PATH)/tools/media/
+	cp $(srcdir)/gui/media/logo.jpg $(WIN32PATH)/tools/media/
+	cp $(srcdir)/gui/media/tile.gif $(WIN32PATH)/tools/media/
 	$(STRIP) construct_mohawk$(EXEEXT) -o $(WIN32PATH)/tools/construct_mohawk$(EXEEXT)
 ifeq "$(USE_FREETYPE)" "1"
 ifeq "$(USE_ICONV)" "1"
@@ -107,7 +105,7 @@
 endif
 	$(STRIP) degob$(EXEEXT) -o $(WIN32PATH)/tools/degob$(EXEEXT)
 	$(STRIP) dekyra$(EXEEXT) -o $(WIN32PATH)/tools/dekyra$(EXEEXT)
-	$(STRIP) deriven$(EXEEXT) -o $(WIN32PATH)/tools/deriven$(EXEEXT)
+	$(STRIP) deprince$(EXEEXT) -o $(WIN32PATH)/tools/deprince$(EXEEXT)
 	$(STRIP) descumm$(EXEEXT) -o $(WIN32PATH)/tools/descumm$(EXEEXT)
 	$(STRIP) desword2$(EXEEXT) -o $(WIN32PATH)/tools/desword2$(EXEEXT)
 	$(STRIP) extract_mohawk$(EXEEXT) -o $(WIN32PATH)/tools/extract_mohawk$(EXEEXT)
@@ -116,13 +114,13 @@
 	$(STRIP) scummvm-tools$(EXEEXT) -o $(WIN32PATH)/tools/scummvm-tools$(EXEEXT)
 endif
 	$(STRIP) scummvm-tools-cli$(EXEEXT) -o $(WIN32PATH)/tools/scummvm-tools-cli$(EXEEXT)
-	cp *.bat $(WIN32PATH)/tools
-	cp COPYING $(WIN32PATH)/tools/COPYING.txt
-	cp README $(WIN32PATH)/tools/README.txt
-	cp NEWS $(WIN32PATH)/tools/NEWS.txt
-	cp dists/win32/graphics/left.bmp $(WIN32PATH)/graphics
-	cp dists/win32/graphics/scummvm-install.ico $(WIN32PATH)/graphics
-	cp dists/win32/ScummVM?Tools.iss $(WIN32PATH)
+	cp $(srcdir)/*.bat $(WIN32PATH)/tools
+	cp $(srcdir)/COPYING $(WIN32PATH)/tools/COPYING.txt
+	cp $(srcdir)/README $(WIN32PATH)/tools/README.txt
+	cp $(srcdir)/NEWS $(WIN32PATH)/tools/NEWS.txt
+	cp $(srcdir)/dists/win32/graphics/left.bmp $(WIN32PATH)/graphics
+	cp $(srcdir)/dists/win32/graphics/scummvm-install.ico $(WIN32PATH)/graphics
+	cp $(srcdir)/dists/win32/ScummVM?Tools.iss $(WIN32PATH)
 	unix2dos $(WIN32PATH)/tools/*.txt
 
 # Special target to create a win32 NSIS installer
@@ -145,7 +143,7 @@
 endif
 	$(STRIP) degob$(EXEEXT)              -o $(srcdir)/$(WIN32BUILD)/degob$(EXEEXT)
 	$(STRIP) dekyra$(EXEEXT)             -o $(srcdir)/$(WIN32BUILD)/dekyra$(EXEEXT)
-	$(STRIP) deriven$(EXEEXT)            -o $(srcdir)/$(WIN32BUILD)/deriven$(EXEEXT)
+	$(STRIP) deprince$(EXEEXT)           -o $(srcdir)/$(WIN32BUILD)/deprince$(EXEEXT)
 	$(STRIP) descumm$(EXEEXT)            -o $(srcdir)/$(WIN32BUILD)/descumm$(EXEEXT)
 	$(STRIP) desword2$(EXEEXT)           -o $(srcdir)/$(WIN32BUILD)/desword2$(EXEEXT)
 	$(STRIP) extract_mohawk$(EXEEXT)     -o $(srcdir)/$(WIN32BUILD)/extract_mohawk$(EXEEXT)
@@ -247,7 +245,7 @@
 endif
 	$(STRIP) degob$(EXEEXT) -o $(AMIGAOS4PATH)/tools/degob$(EXEEXT)
 	$(STRIP) dekyra$(EXEEXT) -o $(AMIGAOS4PATH)/tools/dekyra$(EXEEXT)
-	$(STRIP) deriven$(EXEEXT) -o $(AMIGAOS4PATH)/tools/deriven$(EXEEXT)
+	$(STRIP) deprince$(EXEEXT) -o $(AMIGAOS4PATH)/tools/deprince$(EXEEXT)
 	$(STRIP) descumm$(EXEEXT) -o $(AMIGAOS4PATH)/tools/descumm$(EXEEXT)
 	$(STRIP) desword2$(EXEEXT) -o $(AMIGAOS4PATH)/tools/desword2$(EXEEXT)
 	$(STRIP) extract_mohawk$(EXEEXT) -o $(AMIGAOS4PATH)/tools/extract_mohawk$(EXEEXT)
@@ -260,3 +258,37 @@
 	cp $(srcdir)/COPYING $(AMIGAOS4PATH)/tools/COPYING.txt
 	cp $(srcdir)/README $(AMIGAOS4PATH)/tools/README.txt
 	cp $(srcdir)/NEWS $(AMIGAOS4PATH)/tools/NEWS.txt
+
+#
+# RISC OS specific
+#
+
+ifdef QUIET
+QUIET_ELF2AIF = @echo '   ' ELF2AIF '' $@;
+endif
+
+, := ,
+
+# Special target to create an RISC OS snapshot installation
+riscosdist: all riscosboot $(addprefix !ScummTool/bin/,$(addsuffix $(,)ff8,$(PROGRAMS)))
+	cp ${srcdir}/dists/riscos/!Run,feb !ScummTool/!Run,feb
+	cp ${srcdir}/dists/riscos/!Sprites,ff9 !ScummTool/!Sprites,ff9
+	cp ${srcdir}/dists/riscos/!Sprites11,ff9 !ScummTool/!Sprites11,ff9
+	cp $(srcdir)/README !ScummTool/!Help,fff
+	cp $(srcdir)/COPYING !ScummTool/COPYING,fff
+	cp $(srcdir)/NEWS !ScummTool/NEWS,fff
+ifeq "$(USE_WXWIDGETS)" "1"
+	mkdir -p !ScummTool/bin/media
+	cp $(srcdir)/gui/media/detaillogo.jpg !ScummTool/bin/media/detaillogo.jpg,c85
+	cp $(srcdir)/gui/media/logo.jpg !ScummTool/bin/media/logo.jpg,c85
+	cp $(srcdir)/gui/media/tile.gif !ScummTool/bin/media/tile.gif,695
+endif
+
+riscosboot:
+	mkdir -p !ScummTool/bin
+	cp ${srcdir}/dists/riscos/!Boot,feb !ScummTool/!Boot,feb
+	rm -rf !ScummTool/bin/*,ff8
+
+!ScummTool/bin/%,ff8: %$(EXEEXT)
+	$(QUIET_ELF2AIF)elf2aif $(<) !ScummTool/bin/$*,ff8
+	$(QUIET)echo "Set Alias\$$$* <ScummTool\$$Dir>.bin.$* %%*0" >> !ScummTool/!Boot,feb
