=== debian/changelog ===
scummvm-tools (2.1.0-1build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:39:02 +0000

scummvm-tools (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.4.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 18 Oct 2019 18:13:06 +0200

scummvm-tools (2.0.0-5) unstable; urgency=medium

  * Allow cross-building.

 -- Stephen Kitt <skitt@debian.org>  Wed, 11 Sep 2019 22:04:38 +0200

scummvm-tools (2.0.0-4) unstable; urgency=medium

  * Use the Perl test generator instead of the Python 2 version.
    Closes: #938453.

 -- Stephen Kitt <skitt@debian.org>  Fri, 06 Sep 2019 20:57:03 +0200

scummvm-tools (2.0.0-3) unstable; urgency=medium

  [ Reiner Herrmann ]
  * Update watch file.

  [ Stephen Kitt ]
  * Switch to Gtk 3. Closes: #933461.
  * Switch to debhelper compatibility level 12.
  * Update spelling fixes.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.4.0, no further change required.
  * Explicitly build-depend on pkg-config.

 -- Stephen Kitt <skitt@debian.org>  Mon, 05 Aug 2019 20:54:12 +0200

scummvm-tools (2.0.0-2) unstable; urgency=medium

  * Migrate to Salsa.
  * Use pkg-config to find freetype2. Closes: #892443.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 15 May 2018 22:54:17 +0200
