=== debian/control ===
--- 
+++ 
@@ -1,22 +1,24 @@
 Source: scummvm-tools
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: games
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                libboost-program-options-dev,
                libflac-dev,
                libfreetype6-dev,
                libmad0-dev,
                libpng-dev,
                libvorbis-dev,
-               libwxgtk3.0-dev,
-               python,
+               libwxgtk3.0-gtk3-dev,
+               pkg-config,
                zlib1g-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/scummvm-tools.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/scummvm-tools.git
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/games-team/scummvm-tools
+Vcs-Git: https://salsa.debian.org/games-team/scummvm-tools.git
 Homepage: http://wiki.scummvm.org/index.php/User_Manual/Appendix:_Tools
+Rules-Requires-Root: no
 
 Package: scummvm-tools
 Architecture: any
