=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,17 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+DPKG_EXPORT_BUILDTOOLS = 1
+include /usr/share/dpkg/buildtools.mk
+
+include /usr/share/dpkg/architecture.mk
+
+ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
+	HOST := --host=$(DEB_HOST_GNU_TYPE)
+else
+	HOST :=
+endif
 
 %:
 	dh $@
@@ -9,7 +20,7 @@
 	[ ! -f config.mk ] || dh_auto_clean
 
 override_dh_auto_configure:
-	./configure \
+	./configure $(HOST) \
 		--prefix=/usr \
 		--bindir=/usr/games \
 		--datadir=/usr/share/games \
