=== debian/changelog ===
scummvm-tools (2.2.0-1) unstable; urgency=medium

  * New upstream release, obsoleting freetype2-pkg-config.patch.
  * Switch to debhelper compatibility level 13.
  * Standards-Version 4.5.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 02 Oct 2020 09:04:53 +0200
