=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: scummvm-tools
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: games
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libboost-program-options-dev,
                libflac-dev,
                libfreetype6-dev,
@@ -14,7 +13,7 @@
                libwxgtk3.0-gtk3-dev,
                pkg-config,
                zlib1g-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/games-team/scummvm-tools
 Vcs-Git: https://salsa.debian.org/games-team/scummvm-tools.git
 Homepage: http://wiki.scummvm.org/index.php/User_Manual/Appendix:_Tools
