## scummvm-tools 2.5.0

=== Makefile ===
--- 
+++ 
@@ -146,7 +146,10 @@
 	$(STRIP) deprince$(EXEEXT)           -o $(srcdir)/$(WIN32BUILD)/deprince$(EXEEXT)
 	$(STRIP) descumm$(EXEEXT)            -o $(srcdir)/$(WIN32BUILD)/descumm$(EXEEXT)
 	$(STRIP) desword2$(EXEEXT)           -o $(srcdir)/$(WIN32BUILD)/desword2$(EXEEXT)
+	$(STRIP) extract_hadesch$(EXEEXT)    -o $(srcdir)/$(WIN32BUILD)/extract_hadesch$(EXEEXT)
+	$(STRIP) extract_lokalizator$(EXEEXT)    -o $(srcdir)/$(WIN32BUILD)/extract_lokalizator$(EXEEXT)
 	$(STRIP) extract_mohawk$(EXEEXT)     -o $(srcdir)/$(WIN32BUILD)/extract_mohawk$(EXEEXT)
+	$(STRIP) extract_ngi$(EXEEXT)        -o $(srcdir)/$(WIN32BUILD)/extract_ngi$(EXEEXT)
 	$(STRIP) gob_loadcalc$(EXEEXT)       -o $(srcdir)/$(WIN32BUILD)/gob_loadcalc$(EXEEXT)
 ifeq "$(USE_WXWIDGETS)" "1"
 	$(STRIP) scummvm-tools$(EXEEXT)      -o $(srcdir)/$(WIN32BUILD)/scummvm-tools$(EXEEXT)
@@ -223,41 +226,51 @@
 #
 # AmigaOS specific
 #
-
-# Special target to create an AmigaOS snapshot installation
-amigaos4dist: all
-	mkdir -p $(AMIGAOS4PATH)
-	mkdir -p $(AMIGAOS4PATH)/graphics
-	mkdir -p $(AMIGAOS4PATH)/tools
-	mkdir -p $(AMIGAOS4PATH)/tools/media
-	cp $(srcdir)/gui/media/detaillogo.jpg $(AMIGAOS4PATH)/tools/media/
-	cp $(srcdir)/gui/media/logo.jpg $(AMIGAOS4PATH)/tools/media/
-	cp $(srcdir)/gui/media/tile.gif $(AMIGAOS4PATH)/tools/media/
-	$(STRIP) construct_mohawk$(EXEEXT) -o $(AMIGAOS4PATH)/tools/construct_mohawk$(EXEEXT)
+# Special target to create an AmigaOS snapshot installation.
+amigaosdist: all
+	mkdir -p $(AMIGAOSPATH)
+	mkdir -p $(AMIGAOSPATH)/doc
+	mkdir -p $(AMIGAOSPATH)/media
+	# Install documents
+	cp $(srcdir)/COPYING $(AMIGAOSPATH)/doc/
+	cp $(srcdir)/COPYRIGHT $(AMIGAOSPATH)/doc/
+	cp $(srcdir)/NEWS $(AMIGAOSPATH)/doc/
+	cp $(srcdir)/README $(AMIGAOSPATH)/doc/
+	cp $(srcdir)/TODO $(AMIGAOSPATH)/doc/
+	# Install media files
+	cp $(srcdir)/gui/media/detaillogo.jpg $(AMIGAOSPATH)/media/
+	cp $(srcdir)/gui/media/logo.jpg $(AMIGAOSPATH)/media/
+	cp $(srcdir)/gui/media/scummvmtools_128.png $(AMIGAOSPATH)/media/
+	cp $(srcdir)/gui/media/tile.gif $(AMIGAOSPATH)/media/
+	# Install icons
+	cp ${srcdir}/gui/media/scummvm-tools.info $(AMIGAOSPATH)/scummvm-tools-cli.info
+	cp ${srcdir}/gui/media/scummvm-tools_drawer.info $(AMIGAOSPATH)/media/
+	# Install tools
+	$(STRIP) construct_mohawk$(EXEEXT) -o $(AMIGAOSPATH)/construct_mohawk$(EXEEXT)
 ifeq "$(USE_FREETYPE2)" "1"
 ifeq "$(USE_ICONV)" "1"
-	$(STRIP) create_sjisfnt$(EXEEXT) -o $(AMIGAOS4PATH)/tools/create_sjisfnt$(EXEEXT)
-endif
-endif
-	$(STRIP) decine$(EXEEXT) -o $(AMIGAOS4PATH)/tools/decine$(EXEEXT)
+	$(STRIP) create_sjisfnt$(EXEEXT) -o $(AMIGAOSPATH)/create_sjisfnt$(EXEEXT)
+endif
+endif
+	$(STRIP) decine$(EXEEXT) -o $(AMIGAOSPATH)/decine$(EXEEXT)
 ifeq "$(USE_BOOST)" "1"
-	$(STRIP) decompile$(EXEEXT) -o $(AMIGAOS4PATH)/tools/decompile$(EXEEXT)
-endif
-	$(STRIP) degob$(EXEEXT) -o $(AMIGAOS4PATH)/tools/degob$(EXEEXT)
-	$(STRIP) dekyra$(EXEEXT) -o $(AMIGAOS4PATH)/tools/dekyra$(EXEEXT)
-	$(STRIP) deprince$(EXEEXT) -o $(AMIGAOS4PATH)/tools/deprince$(EXEEXT)
-	$(STRIP) descumm$(EXEEXT) -o $(AMIGAOS4PATH)/tools/descumm$(EXEEXT)
-	$(STRIP) desword2$(EXEEXT) -o $(AMIGAOS4PATH)/tools/desword2$(EXEEXT)
-	$(STRIP) extract_mohawk$(EXEEXT) -o $(AMIGAOS4PATH)/tools/extract_mohawk$(EXEEXT)
-	$(STRIP) gob_loadcalc$(EXEEXT) -o $(AMIGAOS4PATH)/tools/gob_loadcalc$(EXEEXT)
+	$(STRIP) decompile$(EXEEXT) -o $(AMIGAOSPATH)/decompile$(EXEEXT)
+endif
+	$(STRIP) degob$(EXEEXT) -o $(AMIGAOSPATH)/degob$(EXEEXT)
+	$(STRIP) dekyra$(EXEEXT) -o $(AMIGAOSPATH)/dekyra$(EXEEXT)
+	$(STRIP) deprince$(EXEEXT) -o $(AMIGAOSPATH)/deprince$(EXEEXT)
+	$(STRIP) descumm$(EXEEXT) -o $(AMIGAOSPATH)/descumm$(EXEEXT)
+	$(STRIP) desword2$(EXEEXT) -o $(AMIGAOSPATH)/desword2$(EXEEXT)
+	$(STRIP) extract_mohawk$(EXEEXT) -o $(AMIGAOSPATH)/extract_mohawk$(EXEEXT)
+	$(STRIP) extract_ngi$(EXEEXT) -o $(AMIGAOSPATH)/extract_ngi$(EXEEXT)
+	$(STRIP) gob_loadcalc$(EXEEXT) -o $(AMIGAOSPATH)/gob_loadcalc$(EXEEXT)
 ifeq "$(USE_WXWIDGETS)" "1"
-	$(STRIP) scummvm-tools$(EXEEXT) -o $(AMIGAOS4PATH)/tools/scummvm-tools$(EXEEXT)
-endif
-	$(STRIP) scummvm-tools-cli$(EXEEXT) -o $(AMIGAOS4PATH)/tools/scummvm-tools-cli$(EXEEXT)
-	#cp ${srcdir}/icons/scummvm-tools.info $(AMIGAOS4PATH)/scummvm-tools.info
-	cp $(srcdir)/COPYING $(AMIGAOS4PATH)/tools/COPYING.txt
-	cp $(srcdir)/README $(AMIGAOS4PATH)/tools/README.txt
-	cp $(srcdir)/NEWS $(AMIGAOS4PATH)/tools/NEWS.txt
+	$(STRIP) scummvm-tools$(EXEEXT) -o $(AMIGAOSPATH)/scummvm-tools$(EXEEXT)
+endif
+	$(STRIP) scummvm-tools-cli$(EXEEXT) -o $(AMIGAOSPATH)/scummvm-tools-cli$(EXEEXT)
+	$(STRIP) extract_hadesch$(EXEEXT) -o $(AMIGAOSPATH)/extract_hadesch$(EXEEXT)
+	$(STRIP) extract_lokalizator$(EXEEXT) -o $(AMIGAOSPATH)/extract_lokalizator$(EXEEXT)
+
 
 #
 # RISC OS specific
@@ -289,6 +302,3 @@
 	cp ${srcdir}/dists/riscos/!Boot,feb !ScummTool/!Boot,feb
 	rm -rf !ScummTool/bin/*,ff8
 
-!ScummTool/bin/%,ff8: %$(EXEEXT)
-	$(QUIET_ELF2AIF)elf2aif $(<) !ScummTool/bin/$*,ff8
-	$(QUIET)echo "Set Alias\$$$* <ScummTool\$$Dir>.bin.$* %%*0" >> !ScummTool/!Boot,feb
