=== debian/changelog ===
scummvm-tools (2.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 31 Oct 2021 14:50:04 +0100
